### A free/open-source library for quantitative finance

Classes | Typedefs
ql/experimental/commodities/energycommodity.hpp File Reference

Energy commodity. More...

`#include <ql/experimental/commodities/commodity.hpp>`
`#include <ql/experimental/commodities/commoditytype.hpp>`
`#include <ql/experimental/commodities/commodityunitcost.hpp>`
`#include <ql/experimental/commodities/unitofmeasure.hpp>`
`#include <ql/experimental/commodities/quantity.hpp>`
`#include <ql/time/date.hpp>`
`#include <ql/money.hpp>`
Include dependency graph for energycommodity.hpp:

## Classes

class | EnergyCommodity
| Energy commodity class. More...

## Typedefs

typedef std::map< Date, EnergyDailyPosition > | EnergyDailyPositions

## Detailed Description

Energy commodity.